{
    "type": "project",
    "license": "proprietary",
    "minimum-stability": "stable",
    "prefer-stable": true,
    "require": {
        "php": "^8.2",
        "ext-ctype": "*",
        "ext-curl": "*",
        "ext-dom": "*",
        "ext-iconv": "*",
        "ext-libxml": "*",
        "doctrine/doctrine-bundle": "^2.18",
        "doctrine/doctrine-migrations-bundle": "^3.7",
        "doctrine/orm": "^3.6",
        "fivefilters/readability.php": ">=3.0",
        "league/commonmark": "^2.8",
        "smalot/pdfparser": "^2.12",
        "symfony/asset": "7.4.*",
        "symfony/console": "^7.4",
        "symfony/dotenv": "^7.4",
        "symfony/flex": "^2",
        "symfony/framework-bundle": "^7.4",
        "symfony/http-client": "7.4.*",
        "symfony/messenger": "7.4.*",
        "symfony/monolog-bundle": "^4.0",
        "symfony/runtime": "^7.4",
        "symfony/security-bundle": "7.4.*",
        "symfony/twig-bundle": "7.4.*",
        "symfony/uid": "7.4.*",
        "symfony/yaml": "^7.4",
      "ext-sqlite3": "*"
    },
    "config": {
        "optimize-autoloader": true,
        "preferred-install": {
            "*": "dist"
        },
        "sort-packages": true,
        "allow-plugins": {
            "symfony/flex": true,
            "symfony/runtime": true
        }
    },
    "autoload": {
        "psr-4": {
            "App\\": "src/"
        }
    },
    "autoload-dev": {
        "psr-4": {
            "App\\Tests\\": "tests/"
        }
    },
    "scripts": {
        "auto-scripts": {
            "cache:clear": "symfony-cmd",
            "assets:install %PUBLIC_DIR%": "symfony-cmd"
        },
        "post-install-cmd": [
            "@auto-scripts"
        ],
        "post-update-cmd": [
            "@auto-scripts"
        ]
    },
    "extra": {
        "symfony": {
            "allow-contrib": false,
            "require": "7.4.*",
            "docker": false
        }
    },
    "require-dev": {
        "symfony/maker-bundle": "^1.66"
    }
}
